Google Web Toolkit (Beta)
Search this site:

# Class AbstractList

public class AbstractList
extends AbstractCollection
implements List
// Superclass of `ArrayList`, `Vector`
Abstract base class for list implementations.

## Methods

add(int, Object) |
add(Object) |
addAll(int, Collection) |
clear() |
equals(Object) |
get(int) |
hashCode() |
indexOf(Object) |
iterator() |
lastIndexOf(Object) |
listIterator() |
listIterator(int) |
remove(int) |
removeRange(int, int) |
set(int, Object) |